Bug 444627 - Seamonkey w/Pango cannot handle text-align: justify
Seamonkey w/Pango cannot handle text-align: justify
Product: Fedora
Classification: Fedora
Component: seamonkey (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-29 12:02 EDT by Andrew Schretter
Modified: 2009-01-12 17:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:47:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Image of mashed up fonts (171.75 KB, image/png)
2008-04-29 12:02 EDT, Andrew Schretter
no flags Details

  None (edit)
Description Andrew Schretter 2008-04-29 12:02:47 EDT
Description of problem:

Using seamonkey-1.1.9-2.fc8 and visiting web pages with
any 'justified' text alignment produces mashed up fonts as
shown in the attachment included.  The problem is also
present in printing.

This is an example website that produces the problem


I have rebuilt seamonkey without pango (commenting out patches 81-88) and
it works fine after that.

Version-Release number of selected component (if applicable):


How reproducible:

Very.  Every website that uses text-align: justify or align="justify"
will cause the problem.

Steps to Reproduce:
1.Open seamonkey
2.Browse to
Actual results:

Unreadable fonts

Expected results:

Readable fonts

Additional info:

I'm filing a separate bug against firefox for a similar problem. 
Firefox renders the pages properly for viewing, but renders mashed
up fonts when printing these type of webpages.  Definitely related,
but separate packages, so separate bugs.
Comment 1 Andrew Schretter 2008-04-29 12:02:48 EDT
Created attachment 304136 [details]
Image of mashed up fonts
Comment 2 Kai Engert (:kaie) 2008-05-01 11:01:24 EDT
Schrett, thanks a lot for your bug report.

I've occassionally seen this bug myself but didn't research the cause.
I find it great to know that disabling pango fixes it.

I can not find a bug filed to Firefox, did you file it?

I'm tempted to remove the patches as you did, and stick with the original
upstream sources.

Chris, Martin, the pango fixes that we copied over from the firefox package, are
those from upstream or your own development?
Comment 3 Andrew Schretter 2008-05-01 11:08:52 EDT
I did file a separate related bug against firefox :


In this case, firefox renders the page properly but
printing produces the mashed up fonts.  This bug
was in turn pushed upstream to see if they will fix
it :

Comment 4 Kai Engert (:kaie) 2008-05-15 18:25:44 EDT
I can confirm this problem.

I confirm that disabling all patches fixes this bug, but according to caillon
that would disable the ability for asian people to print pages of their locale
at all.

I ran various tests, which surprise me.
I have links to two test pages (including this one) and some results here:
Comment 5 Bug Zapper 2008-11-26 05:36:23 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-01-09 02:47:58 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Andrew Schretter 2009-01-12 17:39:07 EST
Bug has been re-verified to exist in Fedora 10.

Note You need to log in before you can comment on or make changes to this bug.